> ## Documentation Index
> Fetch the complete documentation index at: https://docs.humancheck.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Make Decision

> Make a decision on a review

## Endpoint

```
POST /reviews/{review_id}/decide
```

## Request Body

```json theme={null}
{
  "reviewer_id": 1,
  "decision_type": "approve",
  "modified_action": null,
  "notes": "Payment approved"
}
```

## Decision Types

* `approve` - Approve the proposed action
* `reject` - Reject the proposed action
* `modify` - Modify the proposed action before approving

## Response

```json theme={null}
{
  "review_id": 1,
  "reviewer_id": 1,
  "decision_type": "approve",
  "notes": "Payment approved",
  "created_at": "2024-01-01T12:00:00Z"
}
```

## Example

```python theme={null}
import httpx

async with httpx.AsyncClient() as client:
    response = await client.post(
        "https://api.humancheck.dev/reviews",
        headers={
            "Authorization": "Bearer your-api-key-here",
            "Content-Type": "application/json"
        },
        json={
            "reviewer_id": 1,
            "decision_type": "approve",
            "notes": "Payment approved"
        }
    )
    decision = response.json()
```
